| Home | Libraries | People | FAQ | More

##### bounds(rtree<...> const &)

Get the box containing all stored values or an invalid box if the index has no values.

###### Description

It calls ``rtree::envelope()``.

###### Synopsis

    template<typename Value,
             typename Parameters,
             typename IndexableGetter,
             typename EqualTo,
             typename Allocator>
    rtree< Value, Parameters, IndexableGetter, EqualTo, Allocator >::bounds_type bounds(rtree< Value, Parameters, IndexableGetter, EqualTo, Allocator > const & tree)

###### Parameter(s)

Type | Name | Description
--- | --- | ---
`rtree< Value, Parameters, IndexableGetter, EqualTo, Allocator > const &` | `tree` | The spatial index.

###### Returns

The box containing all stored values or an invalid box.